[uwsgi]
strict = true
module = timeseriesapi
chdir = /data/
callable = app
need-app = true

# mask server name
;route = .* addheader:Server: Server

log-date = %%Y-%%m-%%d %%H:%%M:%%S
log-format= %(ftime) [pid: %(pid)] %(addr) (%(user))  %(method) %(uri) => generated %(rsize) bytes in %(msecs) msecs (%(proto) %(status)) %(headers) headers in %(hsize) bytes to %(uagent) Vmem %(vszM)M RSSmem %(rssM)M
logformat-strftime = true

master = true
processes = $(PROC_NR)
enable-threads = true
thunder-lock = true
http-keepalive = 5
add-header = Connection: Keep-Alive
add-header = Access-Control-Allow-Methods: GET,POST,PUT,DELETE,HEAD,OPTIONS
add-header = Access-Control-Allow-Headers: api-key, Content-Type, Accept, Cache-control
add-header = Access-Control-Expose-Headers: Content-Length,Content-Range
add-header = X-Frame-Options: DENY
add-header = Referrer-Policy: no-referrer
add-header = Strict-Transport-Security: max-age=31536000; includeSubdomains; preload
add-header = X-Content-Type-Options: nosniff
add-header = X-XSS-Protection: 1; mode=block
add-header = Content-Security-Policy: default-src 'self'; script-src 'self' 'unsafe-inline'; style-src 'self'; img-src 'self' blob: data:; connect-src 'self'; form-action 'none'; font-src 'self'; frame-src 'none'; object-src 'none'; frame-ancestors 'none';

# destroy processes stuck for more than the specified number of seconds
harakiri = $(HARAKIRI)
harakiri-verbose = true
memory-report = true

# remove the socket when the process stops
vacuum = true

# uWSGI will kill the process instead of reloading it
die-on-term = true


# Prevent problems with python3, send_file and BytesIO objects
wsgi-disable-file-wrapper = true

# Set the max size of a request (request-body excluded), this generally maps to the size of request headers.
# By default it is 4k. If you receive a bigger request (for example with big cookies or query string) you may need to increase it.
# It is a security measure too, so adapt to your app needs instead of maxing it out.
buffer-size = 65535

# Added to fix issue with elastic APM, will increase memory use
lazy-apps = true
